nxt.util.security

## Class BlockchainCertPath

- java.lang.Object
- - java.security.cert.CertPath
  - - nxt.util.security.BlockchainCertPath

- All Implemented Interfaces:
    java.io.Serializable

      public class BlockchainCertPath
      extends java.security.cert.CertPath

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.cert.CertPath

      `java.security.cert.CertPath.CertPathRep`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockchainCertPath(java.security.cert.Certificate certificate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends java.security.cert.Certificate>` | `getCertificates()`
    `byte[]` | `getEncoded()`
    `byte[]` | `getEncoded(java.lang.String encoding)`
    `java.util.Iterator<java.lang.String>` | `getEncodings()`

    - ### Methods inherited from class java.security.cert.CertPath

      `equals, getType, hashCode, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockchainCertPath

          public BlockchainCertPath(java.security.cert.Certificate certificate)

  - ### Method Detail

    - #### getEncodings

          public java.util.Iterator<java.lang.String> getEncodings()

      Specified by:
        `getEncodings` in class `java.security.cert.CertPath`

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in class `java.security.cert.CertPath`

    - #### getEncoded

          public byte[] getEncoded(java.lang.String encoding)

      Specified by:
        `getEncoded` in class `java.security.cert.CertPath`

    - #### getCertificates

          public java.util.List<? extends java.security.cert.Certificate> getCertificates()

      Specified by:
        `getCertificates` in class `java.security.cert.CertPath`